#include <iostream>
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,l,ind=1,ind2=0;
    cin>>n>>l;
    vector<int> h(n);
    for(int i=0;i<n;i++){
        cin>>h[i];
    }
    for(int i=0;i<n;i++){
        if(l<h[i]){
            ind++;
            ind2=-1;
        }
        else{
            ind2=0;
            break;
        }
    }
    if(ind2==0){
        cout<<ind;
    }
    if(ind2==-1){
        cout<<ind2;
    }
    
    return 0;
}